Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.TextComponentActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TextComponentActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.TextComponentActions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTIVATE_LINK`
`static final String`
`DECREMENT`
`static final String`
`INCREMENT`
`static final String`
`NEXT_LINK`
`static final String`
`PREVIOUS_LINK`
`static final String`
`RESET_FIELD_EDIT`
`static final String`
`SELECTION_PAGE_DOWN`
`static final String`
`SELECTION_PAGE_LEFT`
`static final String`
`SELECTION_PAGE_RIGHT`
`static final String`
`SELECTION_PAGE_UP`
`static final String`
`TOGGLE_COMPONENT_ORIENTATION`
`static final String`
`UNSELECT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TextComponentActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SELECTION_PAGE_UP

public static final String SELECTION_PAGE_UP

See Also:
  - Constant Field Values

### SELECTION_PAGE_DOWN

public static final String SELECTION_PAGE_DOWN

See Also:
  - Constant Field Values

### SELECTION_PAGE_LEFT

public static final String SELECTION_PAGE_LEFT

See Also:
  - Constant Field Values

### SELECTION_PAGE_RIGHT

public static final String SELECTION_PAGE_RIGHT

See Also:
  - Constant Field Values

### UNSELECT

public static final String UNSELECT

See Also:
  - Constant Field Values

### TOGGLE_COMPONENT_ORIENTATION

public static final String TOGGLE_COMPONENT_ORIENTATION

See Also:
  - Constant Field Values

### NEXT_LINK

public static final String NEXT_LINK

See Also:
  - Constant Field Values

### PREVIOUS_LINK

public static final String PREVIOUS_LINK

See Also:
  - Constant Field Values

### ACTIVATE_LINK

public static final String ACTIVATE_LINK

See Also:
  - Constant Field Values

### RESET_FIELD_EDIT

public static final String RESET_FIELD_EDIT

See Also:
  - Constant Field Values

### INCREMENT

public static final String INCREMENT

See Also:
  - Constant Field Values

### DECREMENT

public static final String DECREMENT

See Also:
  - Constant Field Values

## Constructor Details

### TextComponentActions

protected TextComponentActions()